org.red5.server.midi

## Class SharedMidiObject.MidiReceiver

- java.lang.Object
- - org.red5.server.midi.SharedMidiObject.MidiReceiver

All Implemented Interfaces:
  AutoCloseable, Receiver

Enclosing class:
  SharedMidiObject

    public class SharedMidiObject.MidiReceiver
    extends Object
    implements Receiver

### Constructor Summary

Constructors
Constructor and Description
`SharedMidiObject.MidiReceiver()`

### Method Summary

Methods
`void` `close()`
`void` `send(MidiMessage midi, long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SharedMidiObject.MidiReceiver

    public SharedMidiObject.MidiReceiver()

### Method Detail

#### send

    public void send(MidiMessage midi,
            long time)

Specified by:
  `send` in interface `Receiver`

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Receiver`